## ros-kinetic-zeroconf-avahi-demos 0.2.3

=== CMakeLists.txt ===
##############################################################################
# CMake
##############################################################################

cmake_minimum_required(VERSION 2.8.3)
project(zeroconf_avahi_demos)

set(CMAKE_VERBOSE_MAKEFILE TRUE)

##############################################################################
# Catkin
##############################################################################

find_package(catkin REQUIRED COMPONENTS zeroconf_avahi)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${zeroconf_avahi_DIR})
find_package(Avahi REQUIRED)
catkin_package()
include_directories(SYSTEM include ${catkin_INCLUDE_DIRS} ${AVAHI_INCLUDE_DIR})

##############################################################################
# Project
##############################################################################

add_subdirectory(src)
add_subdirectory(scripts)

##############################################################################
# Installs
##############################################################################

install(DIRECTORY launch
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(DIRECTORY param
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== scripts/CMakeLists.txt ===
###############################################################################
# Files
###############################################################################

#file(GLOB SCRIPTS RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *)

set(SCRIPTS
  add_collision
  add_concert
  add_concert_listener
  add_ros
  add_rosette
  add_ros_listener
  list_discovered_concert_services
  list_discovered_ros_services
  list_discovered_services
  list_published_concert_services
  list_published_ros_services
  list_published_services
)

###############################################################################
# Installs
###############################################################################

# For convenience
file(COPY ${SCRIPTS}
  DESTINATION ${CATKIN_DEVEL_PREFIX}/lib/${PROJECT_NAME}
)
install(PROGRAMS ${SCRIPTS}
   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== src/CMakeLists.txt ===
###############################################################################
# Executables
###############################################################################

add_executable(official-publisher-example official_publish_example.cpp)
target_link_libraries(official-publisher-example ${AVAHI_LIBRARIES})
    
add_executable(official-browse-example official_browse_example.cpp)
target_link_libraries(official-browse-example ${AVAHI_LIBRARIES})

add_executable(demo_zeroconf_api demo_zeroconf_api.cpp)
target_link_libraries(demo_zeroconf_api ${catkin_LIBRARIES})

# Need to rewrite the library without ros msg/srv's to do this
#add_definitions(-DZEROCONF_DEBUG)
#add_executable(demo_zeroconf_api demo_zeroconf_api.cpp)
#target_link_libraries(demo_zeroconf_api zeroconf_avahi)

###############################################################################
# Installs
###############################################################################

install(TARGETS demo_zeroconf_api
   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-zeroconf-avahi-demos (0.2.3-0xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 06 May 2016 05:41:00 -0000

=== debian/control ===
Source: ros-kinetic-zeroconf-avahi-demos
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-zeroconf-avahi
Homepage: http://wiki.ros.org/zeroconf_avahi_demos
Standards-Version: 3.9.2

Package: ros-kinetic-zeroconf-avahi-demos
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, avahi-daemon, ros-kinetic-zeroconf-avahi
Description: Several demos and launch-tests for the avahi based zero-configuration.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-zeroconf-avahi-demos//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
